<?xml version="1.0"?>

<project name="JEL CI tests" default="test" basedir=".">
  
  <property name="build.dir" value="build"/>
  <property name="src.dir" value="../../source/src"/>
  <property name="build.tests" value="${build.dir}/tests"/>
  <property name="tests.dir" value="${src.dir}/tests"/>

  <property name="junit.fork" value="true"/>
  <property name="junit.filtertrace" value="off"/>
  <property name="junit.summary" value="no"/>

  <path id="tests-classpath">
    <pathelement location="/usr/share/java/jel.jar"/>
    <pathelement location="/usr/share/java/junit.jar"/>
    <pathelement location="${build.tests}"/>
    <pathelement location="${tests.dir}"/>
  </path>

  <target name="compile-tests">
    <mkdir dir="${build.tests}"/>

    <javac srcdir="${tests.dir}"
           destdir="${build.tests}"
	   includeantruntime="false" >
      <classpath refid="tests-classpath"/>
    </javac>
  </target>

  <target name="test" depends="run-tests" description="-> run JUnit tests"/>

  <target name="run-tests" depends="compile-tests">

    <junit printsummary="${junit.summary}" haltonfailure="yes"
           filtertrace="${junit.filtertrace}"
           fork="${junit.fork}">

      <jvmarg value="-enableassertions"/>
      <classpath refid="tests-classpath"/>

      <sysproperty key="java.io.tmpdir" value="${build.tests}"/>
      <sysproperty key="build.tests" value="${build.tests}"/>
      <sysproperty key="tests-classpath.value"
                   value="${tests-classpath.value}"/>
      <sysproperty key="java.awt.headless" value="${java.awt.headless}"/>

      <formatter type="plain" usefile="false"/>

      <batchtest>
        <fileset dir="${tests.dir}">
          <include name="**/*Test.java"/>
        </fileset>
      </batchtest>

    </junit>
  </target>

</project>

